using AutoMapper;
using ConstructorApp.DtoLayer.TeamDto;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorAppApi.Mapping
{
    public class TeamMapping : Profile
    {
        public TeamMapping()
        {
            CreateMap<Team, ResultTeamDto>().ReverseMap();
            CreateMap<Team, GetTeamDto>().ReverseMap();
            CreateMap<Team, CreateTeamDto>().ReverseMap();
            CreateMap<Team, UpdateTeamDto>().ReverseMap();
        }
    }
}
